aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorYann Herklotz <git@yannherklotz.com>2020-03-07 14:25:04 +0000
committerYann Herklotz <git@yannherklotz.com>2020-03-07 14:25:04 +0000
commit817f1c7ba3b2bd43b2ed7164b90008871850b913 (patch)
treeb24377bda523e0d085d4f87c7c9ababd3936dcba
parent4d7bbc25449ea6105427560c95ea3f65da6bfe59 (diff)
downloadverismith-817f1c7ba3b2bd43b2ed7164b90008871850b913.tar.gz
verismith-817f1c7ba3b2bd43b2ed7164b90008871850b913.zip
Add not condition
-rwxr-xr-xscripts/build.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 8a1f71b..266a0ee 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -1,11 +1,10 @@
#!/bin/bash
-if [[ -z $NIX ]]; then
- if [[ $NIX -eq 0 ]]; then
+if ! [[ -z $NIX ]]; then
+ if [[ $NIX -eq 0 ]]; then
cabal update
cabal build
else
nix-build
fi
fi
-